package com.hys.app.model.erp.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hys.app.model.erp.enums.MsgTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 短信模板实体
 *
 * @author zhangsong
 * @version v1.0
 * @since v7.3.0
 * 2021-01-26 16:04:22
 */
@Data
public class SmsMailTemplateDTO {


    /**
     * 主键
     */
    @ApiModelProperty("上级模板，挂在哪一个系统消息下面，如果是短信或者邮件必填")
    private Long pid;

    /**
     * 模板类型短信还是邮件
     */
    @ApiModelProperty("模板类型短信还是邮件")
    private MsgTypeEnum type;
    /**
     * 自定义模板code
     */
    @ApiModelProperty("自定义模板code")
    private String code;
    /**
     * 短信类型，0为验证码，1为短信通知，2为推广短信
     */
    @ApiModelProperty("短信类型，0为验证码，1为短信通知，2为推广短信")
    private Integer templateType;

    @ApiModelProperty("短信平台模板code")
    private String templateCode;
    /**
     * 模板名称
     */
    @ApiModelProperty("模板名称")
    private String name;
    /**
     * 模板内容
     */
    @ApiModelProperty("模板内容")
    private String content;
    /**
     * 模板申请说明
     */
    @ApiModelProperty("模板申请说明")
    private String remark;
    /**
     * 是否启用
     */
    @ApiModelProperty("是否启用")
    private Boolean enableStatus;
}