package com.hys.app.model.erp.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 部门表
 */
@TableName(value = "erp_company")
@Data
public class Company {

    public static final Long ROOT_ID = 0L;

    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 营业执照
     */
    private String license;
    /**
     * 统一社会性用代码
     */
    private String creditCode;
    /**
     * 行业
     */
    private String industry;
    /**
     * 地址
     */
    private String address;
    /**
     * 省
     */
    private String province;
    /**
     * 市
     */
    private String city;
    /**
     * 县
     */
    private String area;
    /**
     * 邮政编码
     */
    private String postalCode;
    /**
     * 联系人
     */
    private String userName;
    /**
     * 联系人电话
     */
    private String phone;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 官网
     */
    private String website;
    /**
     * 使用截止时间
     */
    private LocalDateTime endUseTime;

    /**
     * 最大创建账号数
     */
    private Integer userNum;
    /**
     * 累计付款金额
     */
    private BigDecimal money;
    /**
     * 权限id
     */
    private Long roleId;

    /**
     * 本次付款金额
     */
    private BigDecimal thisMoney;

    /**
     * 本次购买天数
     */
    private Integer thisDay;

    /**
     * 套餐id
     */
    private Long companyPackageId;

    private  String  firstPy;

    private  String  pinying;

    private Long companyId;

}
