package com.hys.app.model.erp.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

/**
 * 部门表
 */
@Data
public class CompanyVO  {

    private Long id;
    /**
     * 名称
     */
    @ApiModelProperty("公司名称")
    private String name;
    /**
     * 营业执照
     */
    @ApiModelProperty("营业执照")
    @NotBlank(message = "营业执照不能为空")
    private String license;

    /**
     * 营业执照信息
     */
    private Map licenseMsg;

    /**
     * 身份证正面
     */
    private String idCardFront;
    /**
     * 身份证正面信息
     */
    private Map idCardMsgFront;

    /**
     * 身份证反面
     */
    private String idCardOpposite;
    /**
     * 身份证反面信息
     */
    private Map idCardMsgOpposite;
    /**
     * 统一社会性用代码
     */
    @ApiModelProperty("统一社会性用代码")
    private String creditCode;
    /**
     * 行业
     */
    @ApiModelProperty("行业")
    private String industry;
    /**
     * 地址
     */
    @ApiModelProperty("地址")
    private String address;
    /**
     * 省
     */
    @ApiModelProperty("省")
    private String province;
    /**
     * 邮政编码
     */
    @ApiModelProperty("邮政编码")
    private String postalCode;
    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    private String userName;
    /**
     * 联系人电话
     */
    @ApiModelProperty("联系人电话")
    private String phone;
    /**
     * 邮箱
     */
    @ApiModelProperty("邮箱")
    private String email;
    /**
     * 官网
     */
    @ApiModelProperty("官网")
    private String website;
    /**
     * 使用截止时间
     */
    @ApiModelProperty("使用截止时间")
    private Date endUseTime;

    /**
     * 最大创建账号数
     */
    @ApiModelProperty("当前最大创建账号数")
    private Integer userNum;
    /**
    /**
     * 付款金额
     */
    @ApiModelProperty("累计付款金额")
    private BigDecimal money;
    /**
     * 权限id
     */
    @ApiModelProperty("套餐id")
    private Integer roleId;

    /**
     * 是否启用
     */
    @ApiModelProperty("是否使用")
    private Boolean hasUse;

    /**
     * 在职人数
     */
    @ApiModelProperty("在职人数")
    private Integer currentUserNum = 0;


    private Long createTime;

    /**
     * 本次付款金额
     */
    private BigDecimal thisMoney;

    /**
     * 本次购买天数
     */
    private Integer thisDay;

    private Long companyPackageId;

    /**
     * 状态  和使用时间单独开没有任何关系，这个管理员可以随意改动，true和使用时间未到期才能登录使用
     */
    private Integer status = 0;

    private String  failReason ;

    private  String idCardNum;

    private String idCardTime;
}
