package com.hys.app.model.erp.vo;

import com.hys.app.framework.database.BaseQueryParam;
import com.hys.app.model.erp.enums.MsgTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 短信模板实体
 *
 * @author zhangsong
 * @version v1.0
 * @since v7.3.0
 * 2021-01-26 16:04:22
 */
@Data
public class SmsMailTemplateQuery extends BaseQueryParam {

    /**
     * 模板类型短信还是邮件
     */
    @ApiModelProperty("模板类型短信还是邮件")
    private MsgTypeEnum type;
    /**
     * 自定义模板code
     */
    @ApiModelProperty("自定义模板code")
    private String code;
    /**
     * 模板名称
     */
    @ApiModelProperty("模板名称")
    private String name;
    /**
     * 是否启用
     */
    @ApiModelProperty("是否启用")
    private Boolean enableStatus;
}