package com.hys.app.model.system.vo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 菜单权限vo 用于权限菜单的参数传递及展示
 *
 * @author zh
 * @version v7.0
 * @date 18/6/25 上午9:59
 * @since v7.0
 */

@Data
public class Menus {
    private Long id;

    /**
     * 菜单标题
     */
    private String title;
    /**
     * 菜单唯一标识
     */
    private String identifier;
    /**
     * 此菜单是否选中
     */
    private boolean checked;
    /**
     * 菜单的权限表达式
     */
    private String authRegular;

    /**
     * 子菜单
     */
    private List<Menus> children =new ArrayList<>();

    /**
     * 父id
     */
    private Long parentId;

    @Override
    public String toString() {
        return "Menus{" +
                "title='" + title + '\'' +
                ", identifier='" + identifier + '\'' +
                ", checked=" + checked +
                ", authRegular='" + authRegular + '\'' +
                ", children=" + children +
                '}';
    }
}
