package com.hys.app.service.erp;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hys.app.framework.database.mybatisplus.base.BaseService;
import com.hys.app.model.erp.dos.SmsMailTemplate;
import com.hys.app.model.erp.dto.SmsMailTemplateDTO;
import com.hys.app.model.erp.enums.MsgTypeEnum;
import com.hys.app.model.erp.vo.SmsMailTemplateQuery;
import com.hys.app.model.erp.vo.SmsMailTemplateVO;

import java.util.List;

/**
 * 部门 Service 接口
 */
public interface SmsMailManager extends BaseService<SmsMailTemplate> {
    /**
     * 新增模板
     *
     * @param smsMailTemplateDTO
     * @return
     */
    Long createTemplate(SmsMailTemplateDTO smsMailTemplateDTO);

    /**
     * 修改模板
     *
     * @param smsMailTemplateDTO
     * @param id
     * @return
     */
    Long updateTemplate(SmsMailTemplateDTO smsMailTemplateDTO, Long id);

    /**
     * 模板分页
     *
     * @param query
     * @return
     */
    IPage<SmsMailTemplateVO> queryTemplate(SmsMailTemplateQuery query);

    /**
     * 删除模板
     *
     * @param id
     * @return
     */
    void delete(Long id);

    /**
     * 创建消息获取上级消息
     *
     * @param type
     * @return
     */
    List<SmsMailTemplate> getSysNotBand(MsgTypeEnum type);
}
